CertImportDialog_Certificate=Certificate
CertImportDialog_CertificateMessage=PEM-format certificate (*.pem)
CertImportDialog_CertificateName=Certificate Name
CertImportDialog_ClickOK=Click OK button.
CertImportDialog_DefaultMessage=Input information to import private key and certificate.
CertImportDialog_DialogTitle=Certificate Import Dialog
CertImportDialog_Error_FileNotExist=File does not exist : 
CertImportDialog_Error_Invalid_Certificate=Please provide valid certificate file.
CertImportDialog_Error_Invalid_Privatekey=Please provide valid private key file.
CertImportDialog_PrivateKey=Private Key
CertImportDialog_PrivateKeyMessage=DER-format private key (*.der)
CertImportDialog_Title=Import private key and certificate.
CertManageDialog_titleMainCertManager=SmartThings Certificate Manager
CertManageDialog_btClose=Close
CertManageDialog_btNew=New
CertManageDialog_btImport=Import
CertManageDialog_btRemove=Remove
CertManageDialog_titleSelectCert=Select Certificate
CertManageDialog_titleDescSelectCert=Select a certificate to connect cloud. A certificate has to be set active.
CertManageDialog_btSetActive=Set Active
CertManageDialog_hintAddButton=Add a new certificate for your service
CertManageDialog_hintImportButton=Import already existent certificate
CertManageDialog_hintRemoveButton=Remove the selected certificate
CertManageDialog_hintSetActiveButton=Activate the certificate
CertManageDialog_infoDialogDesc=certificate is activated.
CertManageDialog_infoDialogDescForTest=This certificate can be used for personal test only.
CertManageDialog_infoDialogTitle=Information
CertManageDialog_qDialogDesc=Service will be restricted without an activated certificate.\nAre you sure you want to close?
CertManageDialog_qDialogTitle=Confirm Close
CRTGenDialog_btBrowse=Browse...
CRTGenDialog_titleMainCertManager=Certificate Generation Dialog
CRTGenDialog_titleDesc=Input Samsung Cloud Data
CRTGenDialog_errorDevicenamePurpose=Device Name and Purpose fields are mandatory
CRTGenDialog_CertificateError=Certificate
CRTGenDialog_signInRequest=Please sign in to Samsung account.
CRTGenDialog_labelCSR=CSR (Certificate Signing Request)
CSRGenDialog_errorCertNameDupl=The same certificate name exists. It must be unique name.
CSRGenDialog_errorCertNameRegex=Special character cannot be allowed.
CSRGenDialog_errorCommonNameLen=Please check common name field. The length must be less than or equal to 64.
CSRGenDialog_errorCountryForm=Please check country field. It must be two-letter ISO code.
CSRGenDialog_errorCountryRegex=Special character or digit cannot be allowed.
CSRGenDialog_errorEmailForm=Please check email field. The field must be email address form.
CSRGenDialog_errorEmailLen=Please check email field. The length must be less thsan or equal to 40.
CSRGenDialog_errorInputFillin=Please fill in the certificate information form.
CSRGenDialog_labelCertName=Certificate name
CSRGenDialog_labelCommonName=Common Name
CSRGenDialog_labelCountry=Country
CSRGenDialog_labelDescCertName=The certificate name.
CSRGenDialog_labelDescCommonName=A common name <eg, the fully qualified domain name of your server or your name>. (Optional)
CSRGenDialog_labelDescCountry=The two-letter ISO code for the country where your organization is location.
CSRGenDialog_labelDescEmail=An email address used to contact your organization. (Optional)
CSRGenDialog_labelDescLocality=The city where your organization is located. <eg, city> (Optional)
CSRGenDialog_labelDescOrganization=The legal name of your organization. <eg, company> (Optional)
CSRGenDialog_labelDescOrganizationUnit=The division of your organization handling the certificate. <eg, section> (Optional)
CSRGenDialog_labelDescState=The state or province where your organization is located. <full name> (Optional)
CSRGenDialog_labelEmail=Email
CSRGenDialog_labelLocality=Locality
CSRGenDialog_labelOrganization=Organization
CSRGenDialog_labelOrganizationUnit=Organization Unit
CSRGenDialog_labelState=State/Province
CRTGenDialog_labelDeviceName=Device Name
CRTGenDialog_labelPurpose=Purpose
CRTGenDialog_labelMNID=MNID
CRTGenDialog_labelUUID=UUID
CRTGenDialog_labelDevicePhysicalAddress=Device Physical Address
CRTGenDialog_labelDescPurpose=Device Purpose
CRTGenDialog_labelDescDeviceName=Device Name 
CRTGenDialog_labelDescUUID=The Device UID (Optional)
CRTGenDialog_labelDescMNID=The MNID of Samsung Account (Optional)
CRTGenDialog_labelDescDevicePhysicalAddress=The Device Physical Address (Optional)
CSRGenDialog_titleDescInputCertInfo=Input information to generate private key and certificate.
CSRGenDialog_titleDescInputCertInfoOngoing=Input information to generate private key and certificate.
CSRGenDialog_titleInputCertInfo=Input certificate information
CSRGenDialog_titleMainCertManager=Certificate Signing Request Generation
WebSigninDialog_browserWarning=Warning!
WebSigninDialog_browserError=Browser cannot be initialized.
CertificateGenerator_networkErrorStr=Network Error
CertificateGenerator_networkError=Preferences > General > Network Connections
CertificateGenerator_generationFaieldError=Generation Failed
CertificateGenerator_sockeTimeoutError=Socket Timeout!
CertificateGenerator_InvalidRequestError=Invalid Request!
SigninDialog_FailToParseResponse=Failed to parse response. Please try to login again.
SigninDialog_ApiAuthUrlMismatch=api_server_url and auth_server_url of the response aren't present in the whitelist.
IOTSigningResponseError_title=Not a trusted source.
IOTSigningResponseError=The signin response received is not from a trusted source.  